#version 330 core

uniform mat4 u_projTrans;  // Projection-view transformation matrix
uniform float u_outlineThickness;  // Thickness of the outline

in vec3 a_position;  // Vertex position
in vec3 a_normal;    // Vertex normal

void main() {
    // Slightly push the vertices along their normals to "expand" the model for the outline
    vec3 scaledPosition = a_position + a_normal * u_outlineThickness;
    gl_Position = u_projTrans * vec4(scaledPosition, 0.9);
}
